## filler 1.02

=== Makefile ===
JAR=filler.jar
# where Filler keeps its files
DEST=/usr/local/filler
# where the executable should go
FILLERPATH=/usr/local/bin
RM=/bin/rm
DIR=src/friendless/games/filler

$(JAR):
	mkdir classes || $(RM) -rf classes/*
	javac -d classes src/friendless/awt/*.java
	javac -classpath classes -d classes $(DIR)/*.java $(DIR)/player/*.java $(DIR)/remote/*.java $(DIR)/remote/messages/*.java
	cp -R res/* classes
	cd classes && jar cmf ../other/metainfo.txt $(JAR) friendless
	mv classes/$(JAR) .

clean:
	$(RM) -rf classes
	# existing tars
	$(RM) -f *.tgz
	# JBuilder backup files
	find . -name "*~" -print | xargs $(RM) -f
	# xv rubbish?
	$(RM) -rf res/friendless/games/filler/.xvpics

install: clean
	install -m644 -D $(JAR) $(DEST)/$(JAR)
	install -m666 -D other/ratings.ser $(DEST)/ratings.ser
	install -m755 -D other/filler $(FILLERPATH)/filler

uninstall:
	$(RM) -rf $(DEST)
	$(RM) $(FILLERPATH)/filler

windows: $(JAR)
	mkdir windows || $(RM) -rf windows/*
	cp -f $(JAR) windows
	cp -f other/filler.bat windows
	cp -f other/ratings.ser windows
	cp -f other/filler.ico windows

=== debian/changelog ===
filler (1.02-6.4) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Non-maintainer upload.
  * Bump debhelper to 12 (Closes: #965521)
    - debian/rules: port to use dh (Closes: #998958)
  * Port to DebSrc3.0 (quilt)

  [ Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com> ]
  * Distribute manpage (Closes: #780484)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 10 Dec 2022 03:20:44 +0800

filler (1.02-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke dh_strip_nondeterminism to make the package reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Sep 2019 15:08:27 +0200

filler (1.02-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not delete the shipped /var/games/filler.ratings.gz while initializing
    /var/games/filler.ratings.  (Closes: #689127)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Dec 2014 21:57:47 +0100

filler (1.02-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-depends-indep to use default-jdk.
  * Update depends to use default-jre | java*-runtime.
  * Patch Makefile to look for $(JAVA_HOME)/bin/javac.
  * Make clean not ignore errors. (Static makefile).
  * Add binary-arch target to rules as per policy. (Closes: #395595).
  * Install desktop file in correct place, /usr/share/applications.
  * Clean up debian/copyright.
    + Still needs work as no files mention the actual copyright holder.
  * Replace deprecated dh_installmanpages with dh_installman.
  * Add watch file.
  * Version debhelper build-dep and set to 5.
  * Move DH_COMPAT from rules to compat and set to 5.
  * Move debhelper to build-depends to satisfy clean.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 28 Sep 2009 12:32:41 -0400

filler (1.02-6) unstable; urgency=low

  * The "main/" in the Section line of debian/control should be assumed.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Sat, 29 Apr 2006 14:07:00 -0400

filler (1.02-5) unstable; urgency=low

  * Change project to use Free VM dependencies.  Moved from contrib to main.
  * Clarified URL of package's source.
  * Specify src tree in --classpath option of javac statement.
  * Use correct temp directory in rules (debian/filler, not debian/tmp).
  * Updated DH_COMPAT of rules to 4 (from 1).
  * Eliminated unused dh_* lines from rules.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Wed, 11 Jan 2006 08:18:00 -0400

filler (1.02-4) unstable; urgency=low

  * Changed build-depends to specify sharutils (for uuencode).  Closes #306791.
  * Eliminated extra colon in TournamentPointsTableRow.java.
  * Renamed /var/games/ratings.ser to /var/games/filler.ratings.
  * Changed permissions on /var/games/ratings.ser to 664.
  * If the user can't write to the ratings file, display a dialog explaining
    they need to add themselves to "games" group.  Closes #309799.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Mon, 16 Aug 2004 08:23:00 -0400

filler (1.02-3) unstable; urgency=low

  * Changed build-depends to specify java2-compiler instead of java-compiler.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Mon, 16 Aug 2004 08:23:00 -0400

filler (1.02-2) unstable; urgency=low

  * New maintainer.  Adopting orphaned package. Closes: #232868
  * Updated description. Closes: #93926
  * Updated package to v3.6.1 of Debian Policy

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Thu,  3 Jun 2004 22:48:50 -0400

filler (1.02-1) unstable; urgency=low

  * rating.ser moved from /var/lib/games to /var/games - FSH compliance.
    (Closes: #115850)

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 17 Oct 2001 12:53:29 +0200

filler (1.01-5) unstable; urgency=low

  * Cleaned mistake in preinst script.
  * Updated control file.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 17 Oct 2001 12:51:13 +0200

filler (1.01-4) unstable; urgency=low

  * Removed bug in installation scripts (new versions of filler will not 
    overwrite a ratings.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 08 Apr 2001 19:52:42 +0100

filler (1.01-3) unstable; urgency=low

  * Cleanups for lintian

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 01 Apr 2001 18:52:42 +0100

filler (1.01-2) unstable; urgency=low

  * Added SGID to /usr/games/filler
  * filler jar archive moved to /usr/share/java
  * Added real manpage

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Mon, 12 Feb 2001 18:52:42 +0100

filler (1.01) unstable; urgency=low

  * Polish locale added by Wojciech Jeczmien
  * Changed way of testing java during debian package installation. 
    Now you can use any distribution of java 1.2 (SUN or blackdown)

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 17 Dec 2000 12:01:16 +0100

filler (1.0-1) unstable; urgency=low

  * Initial release.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 13 Dec 2000 21:41:10 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: filler
Section: games
Priority: optional
Maintainer: James Damour (Suvarov454) <suvarov454@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, default-jdk
Standards-Version: 3.8.3

Package: filler
Architecture: all
Depends: default-jre | java1-runtime | java2-runtime, ${misc:Depends}
Description: simple game where two players try to capture half the board
 Filler is a simple game where two players try to capture half of the board.
 Players take turns selecting colours to capture all adjacent hexes of the
 same colour.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	uudecode -o other/filler.png other/filler.u
	uudecode -o debian/filler.xpm debian/filler.u
	install -m 664 -o root -g games other/ratings.ser debian/filler/var/games/filler.ratings
	gzip -f debian/filler/var/games/filler.ratings
	install -m 755 -o root -g games other/filler debian/filler/usr/games
	install -m 644 -o root -g root debian/filler.xpm debian/filler/usr/share/pixmaps
	install -m 644 -o root -g root other/filler.png debian/filler/usr/share/pixmaps
	install -m 644 -o root -g root other/filler.desktop debian/filler/usr/share/applications
	install -m 644 -o root -g games filler.jar debian/filler/usr/share/java

	# You may want to make some executables suid here.
	chown root debian/filler/usr/games/filler
	chgrp games debian/filler/usr/games/filler
	chmod 755 debian/filler/usr/games/filler

=== debian/watch ===
version=3

http://sf.net/filler/filler-([\d.]+)\.tgz
